import 'dart:async';
import 'package:futils/futils.dart';

class FWebView {

  // set message channel callback
  static void setMessageChannelCallback(void callback(String message)) {
    Futils.messageChannel.setMessageHandler((message){
      if (callback != null) callback(message);
      return Future<String>((){});
    });
  }

  // use web view launch url
  static Future<String> launchUrlInWebView(String url) async {
    final String result = await Futils.methodChannel.invokeMethod('launchWebView', <String, dynamic>{
      'url': url,
    });
    return result;
  }

  // close web view
  static Future<String> closeWebView() async {
    final String result = await Futils.methodChannel.invokeMethod('closeWebView');
    return result;
  }
}
